Rails.application.routes.draw do
  # get "password_resets/new"
  # get "password_resets/edit"
  # get "sessions/new"
  # get "users/new"
  # get "static_pages/home"
  # get "static_pages/help"
  # get "static_pages/about"
  # get "static_pages/contact"

  root "static_pages#home"

  get "/demo",     to: "static_pages#demo"

  get "/help",        to: "static_pages#help"
  get "/about",       to: "static_pages#about"
  get "/contact",     to: "static_pages#contact"
  get "/signup",      to: "users#new"

  get "/login",       to: "sessions#new"
  post "/login",       to: "sessions#create"
  delete "/logout",   to: "sessions#destroy"

  get "pages/home"

  resources :users
  resources :account_activations, only: [ :edit ]
  resources :password_resets,     only: [ :new, :create, :edit, :update ]

  # Define your application routes per the DSL in https://guides.rubyonrails.org/routing.html

  # Reveal health status on /up that returns 200 if the app boots with no exceptions, otherwise 500.
  # Can be used by load balancers and uptime monitors to verify that the app is live.
  get "up" => "rails/health#show", as: :rails_health_check

  # Render dynamic PWA files from app/views/pwa/* (remember to link manifest in application.html.erb)
  # get "manifest" => "rails/pwa#manifest", as: :pwa_manifest
  # get "service-worker" => "rails/pwa#service_worker", as: :pwa_service_worker

  # Defines the root path route ("/")
  # root "posts#index"
end
